apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql-deployment
spec:
  replicas: 3
  selector:
    matchLabels:
      app: mysql
  template:
    metadata:
      labels:
        app: mysql
    spec:
      containers:
        - name: mysql
          image: mysql:8.0
          ports:
            - containerPort: 3306
          env:
            - name: MYSQL_ROOT_PASSWORD
              value: password
            - name: MYSQL_USER
              value: db_user
            - name: MYSQL_DATABASE
              value: db_name
            - name:  MYSQL_PASSWORD
              value: password
          volumeMounts:
           - name: mysql-data
             mountPath: /var/lib/mysql
      volumes:
        - name: mysql-data
          persistentVolumeClaim:
            claimName: mysql-data
        - name: mysql-logs
          persistentVolumeClaim:
            claimName: mysql-logs
        - name: mysql-conf
          persistentVolumeClaim:
            claimName: mysql-conf
